%define pkgname Gazpacho
Summary: Clone of the glade designer written in python and gtk
Name: gazpacho
Version: 0.7.2
Release: %mkrel 5
Source: http://ftp.gnome.org/pub/GNOME/sources/gazpacho/%{name}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pygtk2.0-devel
BuildRequires: python-kiwi
BuildRequires: desktop-file-utils
Requires: python
Requires: python-kiwi
Url: http://gazpacho.sicem.biz/
Buildarch: noarch

%description
This program allows you to create the Graphical User Interface (GUI) of your
GTK+ program in a visual way. Yes, it is a Glade-3 clone. It is compatible with
libglade and it's on its early stages of development.
 
Gazpacho is part of the Gruppy framework but is not dependent of any part of
it so you can use it by its own.

%prep
%setup -q

%build
export LC_ALL=C
python%{pyver} setup.py build

%install
rm -rf $RPM_BUILD_ROOT %name.lang
export LC_ALL=C
python%{pyver} setup.py install --root=%{buildroot}
%find_lang %name
# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnviroments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc %_datadir/doc/%name/
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%_datadir/applications/%name.desktop
%{py_puresitedir}/*




%changelog
* Mon Dec 29 2008 Götz Waschk <waschk@mandriva.org> 0.7.2-5mdv2009.1
+ Revision: 320969
- rebuild for new python

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-4mdv2009.0
+ Revision: 245694
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdv2008.1
+ Revision: 170854
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 29 2007 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2008.0
+ Revision: 56478
- new version


* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 145905
- new version#

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-2mdv2007.1
+ Revision: 88344
- update file list

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.1
+ Revision: 87353
- Import gazpacho

* Mon Nov 27 2006 Gtz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.1
- set C locale to fix build
- don't depend on xvfb anymore
- New version 0.7.0

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 0.6.6-3mdv2007.0
- xdg menu

* Sun Jun 11 2006 Gtz Waschk <waschk@mandriva.org> 0.6.6-2mdv2007.0
- fix missing docs (bug 23052)
- fix build for xorg 7

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 0.6.6-1mdk
- update deps
- New release 0.6.6

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.6.5-1mdk
- fix file list
- New release 0.6.5

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdk
- New release 0.6.4

* Fri Jan 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdk
- New release 0.6.3
- use mkrel

* Thu Sep 08 2005 Gtz Waschk <waschk@mandriva.org> 0.6.2-1mdk
- update file list
- drop patch
- New release 0.6.2

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- fix URL
- build fix
- New release 0.6.0

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.5.3-2mdk
- fix deps

* Tue Apr 12 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- New release 0.5.3

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- New release 0.5.2

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- generate path.py

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- fix installation

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- New release 0.5.1

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- update file list
- fix source URL
- new version

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.3.1-2mdk
- Rebuild for new python

* Sat Oct 23 2004 Tigrux <tigrux@ximian.com> 0.3.1-1mdk
- First RPM for Mandrake

